commit:     53c0b6ffcebc589e9df56dafea59877ac9ef4c5f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 21 13:15:37 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 21 13:16:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53c0b6ff

net-libs/glib-networking: build tests conditionally

Closes: https://bugs.gentoo.org/777462
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/glib-networking/glib-networking-2.68.0.ebuild | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/net-libs/glib-networking/glib-networking-2.68.0.ebuild 
b/net-libs/glib-networking/glib-networking-2.68.0.ebuild
index 77f31df6c8c..5d4e94cae8f 100644
--- a/net-libs/glib-networking/glib-networking-2.68.0.ebuild
+++ b/net-libs/glib-networking/glib-networking-2.68.0.ebuild
@@ -30,6 +30,19 @@ BDEPEND="
        test? ( sys-apps/dbus )
 "
 
+src_prepare() {
+       xdg_src_prepare
+
+       if ! use test ; then
+               # Don't build tests unconditionally
+               # This is a hack to avoid needing gnutls[pkcs11] when USE=-test
+               # It may become a real runtime dependency in future
+               # Please check!
+               # bug #777462
+               sed -i "/^subdir('tls\/tests')/d" meson.build || die
+       fi
+}
+
 multilib_src_configure() {
        local emesonargs=(
                -Dgnutls=enabled

Reply via email to